List Verifone terminals
Lists available Verifone terminals for the authenticated user's merchant. The user must be connected to Verifone to use this endpoint.
GET
/v1/hq/integrations/verifone/terminalsAuthorization
BearerTokenAuth
AuthorizationBearer <token>
The Noona HQ API uses Bearer token for authentication.
Endpoints that return generic information that does not contain sensitive data do not require authentication. Endpoints that require authentication are specifically marked in the documentation.
Authorization: Bearer your-token
In: header
Query Parameters
merchant_id?string
Optional Verifone merchant ID for filtering terminals
select?array<string>
expand?array<string>
Response Body
application/json
curl -X GET "https://api.noona.is/v1/hq/integrations/verifone/terminals"[
{
"terminalId": "string",
"name": "string",
"merchantId": "string",
"deviceModel": "string",
"deviceSoftwareVersion": "string",
"posCloudVersion": "string",
"issuer": "string"
}
]Empty
Empty
Empty
Empty